commit: 2575fc5f58f5427f6bf03c01e98f950e47f78cb8
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Fri Aug 20 23:56:11 2021 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Fri Aug 20 23:56:11 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2575fc5f
sys-cluster/TCL: add performance version
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
sys-cluster/TCL/TCL-1.0.ebuild | 4 +++-
sys-cluster/TCL/metadata.xml | 1 +
2 files changed, 4 insertions(+), 1 deletion(-)
diff --git a/sys-cluster/TCL/TCL-1.0.ebuild b/sys-cluster/TCL/TCL-1.0.ebuild
index de2080aff..ca53febd9 100644
--- a/sys-cluster/TCL/TCL-1.0.ebuild
+++ b/sys-cluster/TCL/TCL-1.0.ebuild
@@ -16,6 +16,7 @@ IUSE_TCL="
tcl-debug
tcl-instrumentation
tcl-instrumentation-debug
+ +tcl-performance
"
USE_EXPAND="TCL"
IUSE="${IUSE_TCL} fti scr veloc"
@@ -31,7 +32,7 @@ DEPEND="${RDEPEND}"
REQUIRED_USE="
|| ( fti scr veloc )
- ?? ( ${IUSE_TCL//+/} )
+ || ( ${IUSE_TCL//+/} )
"
src_prepare() {
@@ -49,6 +50,7 @@ src_configure() {
$(use_enable tcl-debug debug)
$(use_enable tcl-instrumentation instrumentation)
$(use_enable tcl-instrumentation-debug instrumentation-debug)
+ $(use_enable tcl-performance performance)
)
if use fti; then
diff --git a/sys-cluster/TCL/metadata.xml b/sys-cluster/TCL/metadata.xml
index 14a2d4da2..ff9564c6b 100644
--- a/sys-cluster/TCL/metadata.xml
+++ b/sys-cluster/TCL/metadata.xml
@@ -15,6 +15,7 @@
<flag name="tcl-debug">Build the debug version</flag>
<flag name="tcl-instrumentation">Build the instrumentation
version</flag>
<flag name="tcl-instrumentation-debug">Build the
instrumentation-debug version</flag>
+ <flag name="tcl-performance">Build the performance
version</flag>
<flag name="veloc">Enable <pkg>sys-cluster/veloc</pkg>
backend</flag>
</use>
</pkgmetadata>